Skip to content

Delete a PickupDelivery by business id for a given TransportRequest

Request

This endpoint allows you to delete a given pickupDelivery within a transport request.

Note: It is not possible to delete pickupDeliveries within TransportRequests directly through the Delete a PickupDelivery by business Id endpoint.

Security
clientCredentials
Path
business_idstring^[a-zA-Z0-9.~\-_]{1,512}$required

The identifier of the TransportRequest from which this pickupDelivery must be removed.

order_idstringrequired

The identifier of a PickupDelivery instance

Headers
If-Matchstring

weak Etag as optimistic locking check

curl -i -X DELETE \
  'https://developer.conundra.eu/_mock/apis/order-book/order-book-api/transport-requests/{business_id}/orders/pickup-deliveries/{order_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'If-Match: string'

Responses

No Content

Response
No content